MagicMirror² v2.12.0 is available! For more information about this release, check out this topic.

i cant figure out what i did wrong, fresh installation of raspberry pi os on raspberry pi4 ..



  • 
    > magicmirror@2.11.0 start /home/pi/MagicMirror
    > DISPLAY="${DISPLAY:=:0}" ./node_modules/.bin/electron js/electron.js
    
    [2020-05-31 00:45:38.521] [LOG]    Starting MagicMirror: v2.11.0
    [2020-05-31 00:45:38.527] [LOG]    Loading config ...
    [2020-05-31 00:45:38.530] [LOG]    Loading module helpers ...
    [2020-05-31 00:45:38.532] [LOG]    No helper found for module: alert.
    [2020-05-31 00:45:38.570] [LOG]    Initializing new module helper ...
    [2020-05-31 00:45:38.571] [LOG]    Module helper loaded: updatenotification
    [2020-05-31 00:45:38.572] [LOG]    No helper found for module: clock.
    [2020-05-31 00:45:38.839] [LOG]    Initializing new module helper ...
    [2020-05-31 00:45:38.840] [LOG]    Module helper loaded: calendar
    [2020-05-31 00:45:38.840] [LOG]    No helper found for module: compliments.
    [2020-05-31 00:45:39.423] [LOG]    Initializing new module helper ...
    [2020-05-31 00:45:39.423] [LOG]    Module helper loaded: MMM-AssistantMk2
    [2020-05-31 00:45:39.424] [LOG]    No helper found for module: currentweather.
    [2020-05-31 00:45:39.424] [LOG]    No helper found for module: weatherforecast.
    [2020-05-31 00:45:39.443] [LOG]    Initializing new module helper ...
    [2020-05-31 00:45:39.443] [LOG]    Module helper loaded: newsfeed
    [2020-05-31 00:45:39.444] [LOG]    All module helpers loaded.
    [2020-05-31 00:45:39.524] [LOG]    Starting server on port 8080 ... 
    [2020-05-31 00:45:39.534] [LOG]    Server started ...
    [2020-05-31 00:45:39.535] [LOG]    Connecting socket for: updatenotification
    [2020-05-31 00:45:39.536] [LOG]    Connecting socket for: calendar
    [2020-05-31 00:45:39.536] [LOG]    Starting node helper for: calendar
    [2020-05-31 00:45:39.537] [LOG]    Connecting socket for: MMM-AssistantMk2
    [2020-05-31 00:45:39.538] [LOG]    Connecting socket for: newsfeed
    [2020-05-31 00:45:39.538] [LOG]    Starting module: newsfeed
    [2020-05-31 00:45:39.539] [LOG]    Sockets connected & modules started ...
    [2020-05-31 00:45:39.615] [LOG]    Launching application.
    [2020-05-31 00:45:41.192] [LOG]    Create new calendar fetcher for url: http://www.calendarlabs.com/ical-calendar/ics/76/US_Holidays.ics - Interval: 300000
    [2020-05-31 00:45:41.256] [LOG]    [AMK2] Recipe is loaded: hide_and_show_all_modules.js
    [2020-05-31 00:45:41.260] [LOG]    [AMK2] Recipe is loaded: reboot.js
    [2020-05-31 00:45:41.262] [LOG]    [AMK2] Recipe is loaded: screen_onoff.js
    [2020-05-31 00:45:41.264] [LOG]    [AMK2] Recipe is loaded: shutdown.js
    [2020-05-31 00:45:41.265] [LOG]    Create new news fetcher for url: http://www.nytimes.com/services/xml/rss/nyt/HomePage.xml - Interval: 300000
    [2020-05-31 00:45:41.345] [LOG]    [AMK2] Temporal storage directory is clearing.
    [2020-05-31 00:45:42.117] [LOG]    [AMK2] assistant ready
    /home/pi/MagicMirror/node_modules/electron/dist/electron js/electron.js: symbol lookup error: /home/pi/MagicMirror/modules/MMM-AssistantMk2/node_modules/grpc/src/node/extension_binary/electron-v6.1-linux-arm-glibc/grpc_node.node: undefined symbol: __atomic_store_8
    npm ERR! code ELIFECYCLE
    npm ERR! syscall spawn
    npm ERR! file sh
    npm ERR! errno ENOENT
    npm ERR! magicmirror@2.11.0 start: `DISPLAY="${DISPLAY:=:0}" ./node_modules/.bin/electron js/electron.js`
    npm ERR! spawn ENOENT
    npm ERR! 
    npm ERR! Failed at the magicmirror@2.11.0 start script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2020-05-30T19_15_42_192Z-debug.log
    
    


  • @sdmydbr9 Haven’t you posted this already ?, anyways you may want to wait, by look of it AssistantMK2 is to be replaced.



  • @JohnBachini yeah i thought fresh installation and changing the config would help…



  • @JohnBachini said in i cant figure out what i did wrong, fresh installation of raspberry pi os on raspberry pi4 ..:

    by look of it AssistantMK2 is to be replaced.

    What do you mean? That a new version will come out?



  • THankyou so much for sharing.


  • Module Developer

    Hi, I have deprecied MMM-AssistantMk2 and will still in a very old version.
    Maybe using MMM-GoogleAssistant / MMM-Assistant2Display can help for a modern assistant


Log in to reply